Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
tag: v1.5.1
Fetching contributors…

Cannot retrieve contributors at this time

114 lines (108 sloc) 4.687 kB
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{hbase-stargate}
s.version = "1.5.1"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Openplaces"]
s.date = %q{2010-01-18}
s.description = %q{A Ruby client used to interact with HBase through its Stargate web service front-end}
s.email = %q{greg.lu@gmail.com}
s.extra_rdoc_files = [
"LICENSE",
"README.textile"
]
s.files = [
"LICENSE",
"README.textile",
"Rakefile",
"VERSION",
"lib/stargate.rb",
"lib/stargate/client.rb",
"lib/stargate/exception.rb",
"lib/stargate/model.rb",
"lib/stargate/model/column.rb",
"lib/stargate/model/column_descriptor.rb",
"lib/stargate/model/region_descriptor.rb",
"lib/stargate/model/row.rb",
"lib/stargate/model/scanner.rb",
"lib/stargate/model/table_descriptor.rb",
"lib/stargate/operation/meta_operation.rb",
"lib/stargate/operation/row_operation.rb",
"lib/stargate/operation/scanner_operation.rb",
"lib/stargate/operation/table_operation.rb",
"lib/stargate/request.rb",
"lib/stargate/request/basic_request.rb",
"lib/stargate/request/meta_request.rb",
"lib/stargate/request/row_request.rb",
"lib/stargate/request/scanner_request.rb",
"lib/stargate/request/table_request.rb",
"lib/stargate/response.rb",
"lib/stargate/response/basic_response.rb",
"lib/stargate/response/meta_response.rb",
"lib/stargate/response/row_response.rb",
"lib/stargate/response/scanner_response.rb",
"lib/stargate/response/table_response.rb",
"spec/hbase-stargate/model/column_descriptor_spec.rb",
"spec/hbase-stargate/model/column_spec.rb",
"spec/hbase-stargate/model/region_descriptor_spec.rb",
"spec/hbase-stargate/model/row_spec.rb",
"spec/hbase-stargate/model/scanner.rb",
"spec/hbase-stargate/model/table_descriptor_spec.rb",
"spec/hbase-stargate/operation/meta_operation_spec.rb",
"spec/hbase-stargate/operation/row_operation_spec.rb",
"spec/hbase-stargate/operation/scanner_operation_spec.rb",
"spec/hbase-stargate/operation/table_operation_spec.rb",
"spec/hbase-stargate/record_spec.rb",
"spec/hbase-stargate/request/meta_request_spec.rb",
"spec/hbase-stargate/request/row_request_spec.rb",
"spec/hbase-stargate/request/scanner_request_spec.rb",
"spec/hbase-stargate/request/table_request_spec.rb",
"spec/hbase-stargate/response/meta_response_spec.rb",
"spec/hbase-stargate/response/row_response_spec.rb",
"spec/hbase-stargate/response/scanner_response_spec.rb",
"spec/hbase-stargate/response/table_response_spec.rb",
"spec/spec.opts",
"spec/spec_helper.rb"
]
s.homepage = %q{http://github.com/greglu/hbase-stargate}
s.rdoc_options = ["--charset=UTF-8"]
s.require_paths = ["lib"]
s.rubygems_version = %q{1.3.5}
s.summary = %q{Ruby client for HBase's Stargate web service}
s.test_files = [
"spec/spec_helper.rb",
"spec/hbase-stargate/record_spec.rb",
"spec/hbase-stargate/request/row_request_spec.rb",
"spec/hbase-stargate/request/table_request_spec.rb",
"spec/hbase-stargate/request/meta_request_spec.rb",
"spec/hbase-stargate/request/scanner_request_spec.rb",
"spec/hbase-stargate/model/scanner.rb",
"spec/hbase-stargate/model/column_spec.rb",
"spec/hbase-stargate/model/row_spec.rb",
"spec/hbase-stargate/model/column_descriptor_spec.rb",
"spec/hbase-stargate/model/region_descriptor_spec.rb",
"spec/hbase-stargate/model/table_descriptor_spec.rb",
"spec/hbase-stargate/operation/row_operation_spec.rb",
"spec/hbase-stargate/operation/meta_operation_spec.rb",
"spec/hbase-stargate/operation/scanner_operation_spec.rb",
"spec/hbase-stargate/operation/table_operation_spec.rb",
"spec/hbase-stargate/response/scanner_response_spec.rb",
"spec/hbase-stargate/response/meta_response_spec.rb",
"spec/hbase-stargate/response/table_response_spec.rb",
"spec/hbase-stargate/response/row_response_spec.rb"
]
if s.respond_to? :specification_version then
current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
s.add_development_dependency(%q<rspec>, [">= 0"])
else
s.add_dependency(%q<rspec>, [">= 0"])
end
else
s.add_dependency(%q<rspec>, [">= 0"])
end
end
Jump to Line
Something went wrong with that request. Please try again.